<?php
	require_once( $GLOBALS["site_root"]."/includes/widgets/Widget.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/models/MyMember.inc.php" );
	
	class MyMessagesPane extends Widget {

		public function __construct( $id , $parent ) {
			parent::__construct( $id , $parent );
		}

		public function render() {
			if ($this->sRendered) return $this->sRendered;
			$user = new MyMemberModel();
			$this->setParam( "bLoggedIn" , $user->isMemberLoggedIn());
			return parent::render();
		}

	}


?>
